Option Explicit

Type Rect   '8 Bytes
    left As Integer
    top As Integer
    right As Integer
    bottom As Integer
End Type


Global Const GWL_WNDPROC = (-4)
Global Const GWW_HINSTANCE = (-6)
Global Const GWW_HWNDPARENT = (-8)
Global Const GWW_ID = (-12)
Global Const GWL_STYLE = (-16)
Global Const GWL_EXSTYLE = (-20)

Global Const WS_EX_TRANSPARENT = &H20&

Global Const PS_SOLID = 0
Global Const PS_DASH = 1    '  -------
Global Const PS_DOT = 2 '  .......
Global Const PS_DASHDOT = 3 '  _._._._
Global Const PS_DASHDOTDOT = 4  '  _.._.._
Global Const PS_NULL = 5
Global Const PS_INSIDEFRAME = 6

''  Raster-ops (Binary)
Global Const R2_BLACK = 1   '   0
Global Const R2_NOTMERGEPEN = 2 '  DPon
Global Const R2_MASKNOTPEN = 3  '  DPna
Global Const R2_NOTCOPYPEN = 4  '  PN
Global Const R2_MASKPENNOT = 5  '  PDna
Global Const R2_NOT = 6 '  Dn
Global Const R2_XORPEN = 7  '  DPx
Global Const R2_NOTMASKPEN = 8  '  DPan
Global Const R2_MASKPEN = 9 '  DPa
Global Const R2_NOTXORPEN = 10  '  DPxn
Global Const R2_NOP = 11    '  D
Global Const R2_MERGENOTPEN = 12    '  DPno
Global Const R2_COPYPEN = 13    '  P
Global Const R2_MERGEPENNOT = 14    '  PDno
Global Const R2_MERGEPEN = 15   '  DPo
Global Const R2_WHITE = 16  '   1

Global Const NULL_BRUSH = 5


Declare Sub ClientToScreen Lib "User" (ByVal hwnd%, lpPoint As Integer)
Declare Function CreatePen% Lib "GDI" (ByVal nPenStyle%, ByVal nWidth%, ByVal crColor&)
Declare Function DeleteDC% Lib "GDI" (ByVal hDC%)
Declare Function DeleteObject% Lib "GDI" (ByVal hObject%)
Declare Function GetDC% Lib "User" (ByVal hwnd%)
Declare Function GetWindowLong& Lib "User" (ByVal hwnd%, ByVal nIndex%)
Declare Sub GetClientRect Lib "User" (ByVal hwnd%, lpRect As Rect)
Declare Function GetDesktopWindow% Lib "User" ()
Declare Function GetStockObject% Lib "GDI" (ByVal nIndex%)
Declare Sub OffsetRect Lib "User" (lpRect As Rect, ByVal x%, ByVal y%)
Declare Function SelectObject% Lib "GDI" (ByVal hDC%, ByVal hObject%)
Declare Function SetWindowLong& Lib "User" (ByVal hwnd%, ByVal nIndex%, ByVal dwNewLong&)
Declare Sub InvalidateRectBynum Lib "User" Alias "InvalidateRect" (ByVal hwnd%, ByVal lpRect&, ByVal bErase%)
Declare Function PtInRect% Lib "User" (lpRect As Rect, ByVal Pnt As Any)
Declare Sub ClipCursorRect Lib "User" Alias "ClipCursor" (lpRect As Rect)
Declare Sub ClipCursorClear Lib "User" Alias "ClipCursor" (ByVal lpRect&)
Declare Sub Rectangle Lib "GDI" (ByVal hDC%, ByVal X1%, ByVal Y1%, ByVal X2%, ByVal Y2%)
Declare Sub ReleaseCapture Lib "User" ()
Declare Function ReleaseDC% Lib "User" (ByVal hwnd%, ByVal hDC%)
Declare Sub ScreenToClient Lib "User" (ByVal hwnd%, lpPoint As Integer)
Declare Function SetCapture% Lib "User" (ByVal hwnd%)
Declare Function SetROP2% Lib "GDI" (ByVal hDC%, ByVal nDrawMode%)
Declare Function CreateDC% Lib "GDI" (ByVal lpDriverName$, ByVal lpDeviceName&, ByVal lpOutput&, ByVal lpInitData&)

